<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2007 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redstribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
  
  ********************************************
  Coppermine version: 1.4.14
  $Source$
  $Revision: 3966 $
  $Author: gaugau $
  $Date: 2007-09-17 08:53:13 +0200 (Mo, 17 Sep 2007) $
**********************************************/

// ------------------------------------------------------------------------- //
// This theme has all CORE items removed                                     //
// ------------------------------------------------------------------------- //

$template_thumb_view_title_row = <<<EOT

                        <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                                <td width="100%" class="statlink"><h2>{ALBUM_NAME}</h2></td>
                                <td><img src="images/spacer.gif" width="1" alt="" /></td>
                        </tr>
                        </table>

EOT;






// HTML template for the category list
$template_cat_list = <<<EOT
<!-- BEGIN header -->
       
<!-- END header -->
<!-- BEGIN catrow_noalb -->
        <tr>
                <td class="catrow_noalb" colspan="3"><table border="1"><tr><td align="left">{CAT_THUMB}</td><td align="left"><span class="catlink"><b>{CAT_TITLE}</b></span>{CAT_DESC}</td></tr></table></td>
        
		
		
		
		</tr>
<!-- END catrow_noalb -->
<!-- BEGIN catrow -->
        <tr>
    <td class="tableh1" colspan="6"> <b/> <h1> <center> <b _moz-rs-heading="">Bunda Galleries</b></center> </h1> </td></tr></table></td>
                
        </tr>
        <tr>
            <td class="tableb" colspan="6"><table border="1">{CAT_ALBUMS}</td>
        </tr>
<!-- END catrow -->
<!-- BEGIN footer -->
        <tr>
                <td colspan="3" class="tableh1" align="center"><span class="statlink"><b>{STATISTICS}</b></span></td>
        </tr>
<!-- END footer -->
<!-- BEGIN spacer -->
        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />
<!-- END spacer -->

EOT;


function theme_display_image($nav_menu, $picture, $votes, $pic_info, $comments, $film_strip)
{
    global $CONFIG;

    $width = $CONFIG['picture_table_width'];

    starttable();
    echo $picture;
    endtable();

    starttable();
    echo $nav_menu;
    endtable();

  $picinfo = isset($_COOKIE['picinfo']) ? $_COOKIE['picinfo'] : ($CONFIG['display_pic_info'] ? 'block' : 'none');
    echo "<div id=\"picinfo\" style=\"display: $picinfo;\">\n";
    starttable();
    echo $pic_info;
    endtable();
    echo "</div>\n";

    if ($CONFIG['display_film_strip'] == 1) {
        echo $film_strip;
    }

    echo $votes;

  

    echo "<div id=\"comments\">\n";
    echo $comments;
    echo "</div>\n";
}


// HTML template for user admin menu
if (!isset($template_user_admin_menu))  //{THEMES}
$template_user_admin_menu = <<<EOT

                <div align="center">
                <table cellpadding="0" cellspacing="1">
                        <tr>
                                <td class="admin_menu"><a href="albmgr.php" title="{ALBMGR_TITLE}">{ALBMGR_LNK}</a></td>
                                <td class="admin_menu"><a href="modifyalb.php" title="{MODIFYALB_TITLE}">{MODIFYALB_LNK}</a></td>
                                <!-- BEGIN my_profile -->
                                <td class="admin_menu"><a href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}">{MY_PROF_LNK}</a></td>
                                <!-- END my_profile -->
                                <td class="admin_menu"><a href="picmgr.php" title="{PICTURES_TITLE}">{PICTURES_LNK}</a></td>
								
                        </tr>
                </table>
                </div>

EOT;




function theme_html_rating_box()
{
    global $CONFIG, $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $THEME_DIR;
    global $template_image_rating, $lang_rate_pic;
    global $REFERER;

    if (!(USER_CAN_RATE_PICTURES && $CURRENT_ALBUM_DATA['votes'] == 'YES')) return '<p align="center">You must <a href="register.php">register</a> or <a href="login.php?referer='.$REFERER.'">login</a> in order to vote</p>';

    $votes = $CURRENT_PIC_DATA['votes'] ? sprintf($lang_rate_pic['rating'], round($CURRENT_PIC_DATA['pic_rating'] / 2000, 1), $CURRENT_PIC_DATA['votes']) : $lang_rate_pic['no_votes'];
    $pid = $CURRENT_PIC_DATA['pid'];

    if (defined('THEME_HAS_RATING_GRAPHICS')) {
        $location= $THEME_DIR;
    } else {
        $location= '';
    }

    $params = array('{TITLE}' => $lang_rate_pic['rate_this_pic'],
        '{VOTES}' => $votes,
        '{RATE0}' => "ratepic.php?pic=$pid&rate=0",
        '{RATE1}' => "ratepic.php?pic=$pid&rate=1",
        '{RATE2}' => "ratepic.php?pic=$pid&rate=2",
        '{RATE3}' => "ratepic.php?pic=$pid&rate=3",
        '{RATE4}' => "ratepic.php?pic=$pid&rate=4",
        '{RATE5}' => "ratepic.php?pic=$pid&rate=5",
        '{RATE6}' => "ratepic.php?pic=$pid&rate=6",
        '{RATE7}' => "ratepic.php?pic=$pid&rate=7",
        '{RATE8}' => "ratepic.php?pic=$pid&rate=8",
        '{RATE9}' => "ratepic.php?pic=$pid&rate=9",
        '{RATE10}' => "ratepic.php?pic=$pid&rate=10",
		'{WIDTH}' => $CONFIG['picture_table_width'],
        '{LOCATION}' => $location,        //theme dir or default images directory
        );

    return template_eval($template_image_rating, $params);
}
// HTML template for the image rating box
$template_image_rating = <<<EOT
<table align="center" width="60%" cellspacing="1" cellpadding="0" class="maintable">
        <tr>
                <td colspan="12" class="tableh2_compact"><b>{TITLE}</b> {VOTES}</td>
        </tr>
        <tr>
                <td class="tableb_compact" width="10%" align="center"><a href="{RATE0}" title="Completely Worthless" rel="nofollow"><img src="{LOCATION}images/rating0.gif" border="1" alt="0" /><br /></a></td>
                <td class="tableb_compact" width="10%" align="center"><a href="{RATE1}" title="No Way In Hell" rel="nofollow"><img src="{LOCATION}images/rating1.gif" border="1" alt="1" /><br /></a></td>
                <td class="tableb_compact" width="10%" align="center"><a href="{RATE2}" title="Not On A Bet" rel="nofollow"><img src="{LOCATION}images/rating2.gif" border="1" alt="2" /><br /></a></td>
                <td class="tableb_compact" width="10%" align="center"><a href="{RATE3}" title="Need To Be Really Really Drunk" rel="nofollow"><img src="{LOCATION}images/rating3.gif" border="1" alt="3" /><br /></a></td>
                <td class="tableb_compact" width="10%" align="center"><a href="{RATE4}" title="Only If I Had To" rel="nofollow"><img src="{LOCATION}images/rating4.gif" border="1" alt="4" /><br /></a></td>
                <td class="tableb_compact" width="10%" align="center"><a href="{RATE5}" title="I've Done Worse" rel="nofollow"><img src="{LOCATION}images/rating5.gif" border="1" alt="5" /><br /></a></td>
				<td class="tableb_compact" width="10%" align="center"><a href="{RATE6}" title="Starting To Feel Some Love" rel="nofollow"><img src="{LOCATION}images/rating6.gif" border="1" alt="6" /><br /></a></td>
				<td class="tableb_compact" width="10%" align="center"><a href="{RATE7}" title="Ooooh Baby" rel="nofollow"><img src="{LOCATION}images/rating7.gif" border="1" alt="7" /><br /></a></td>
				<td class="tableb_compact" width="10%" align="center"><a href="{RATE8}" title="Mucho Calor Mommie" rel="nofollow"><img src="{LOCATION}images/rating8.gif" border="1" alt="8" /><br /></a></td>
				<td class="tableb_compact" width="10%" align="center"><a href="{RATE9}" title="Volcanic Eruption" rel="nofollow"><img src="{LOCATION}images/rating9.gif" border="1" alt="9" /><br /></a></td>
				<td class="tableb_compact" width="10%" align="center"><a href="{RATE10}" title="Simply Bundalicious" rel="nofollow"><img src="{LOCATION}images/rating10.gif" border="1" alt="10" /><br /></a></td>
        </tr>
</table>
EOT;



// HTML template for intermediate image display
$template_display_media = <<<EOT
        <tr>
		
                <td align="center" class="display_media" nowrap="nowrap">
                        <table cellspacing="2px" cellpadding="0px" class="imageborder">
                                <tr>
							
                                        <td> <h3><a href="http://adultfriendfinder.com/go/page/search_results_landing?pid=g932129-pmo.subbunda-text&girls_show=6">Are You Tired Of Just <span style="color:red">LOOKING At Bundas?</span style> Team Bunda Wants To Help You Out!<br><span style="color:red">Click Here </span style>To Meet Horny Women Near You With <span style="color:red">Smokin Hot Bundas!</span style></a></h3>  <td></tr>
<tr>
										<td align="center">
                                               	
												{IMAGE}<IFRAME NAME="Frame1" SRC="http://promos.fling.com/geo/f/home.htm?prg=3&id=bundalover&t=best&file=468x60_1" width=468 height=60 scrolling=no marginwidth=0 marginheight=0 frameborder=0></IFRAME>
												

                                        </td>
                                </tr>
                        </table>
                </td></tr>
                <tr><td>
                                                <table width="100%" cellspacing="2px" cellpadding="0px" class="tableb">
                                <tr>
                                        <td align="center">

                                                {ADMIN_MENU} 
                                </tr>
                        </table>





<!-- BEGIN img_desc -->
                        <table cellpadding="0px" cellspacing="0px" class="tableb" width="100%">
<!-- BEGIN title -->
                                <tr>
                                        <td class="tableb"><center><h1><b>
                                                {TITLE}
                                        </b></h1><A HREF=http://banners.cams
										
										
                                </tr>
<!-- END title -->
<!-- BEGIN caption -->
                                <tr>
                                        <td class="tableb">
                                                {CAPTION}
                                        </td>
                                </tr>
<!-- END caption -->
                        </table>
<!-- END img_desc -->
                </td>
        </tr>

EOT;

// Displays comments for a specific picture
function theme_html_comments($pid)
{
    global $CONFIG, $USER, $CURRENT_ALBUM_DATA, $comment_date_fmt, $HTML_SUBST;
    global $template_image_comments, $template_add_your_comment, $lang_display_comments;

    $html = '';

    //report to moderator buttons
    if (!(($CONFIG['report_post']==1) && (USER_CAN_SEND_ECARDS))) {
        template_extract_block($template_image_comments, 'report_comment_button');
    }

    if (!$CONFIG['enable_smilies']) {
        $tmpl_comment_edit_box = template_extract_block($template_image_comments, 'edit_box_no_smilies', '{EDIT}');
        template_extract_block($template_image_comments, 'edit_box_smilies');
        template_extract_block($template_add_your_comment, 'input_box_smilies');
    } else {
        $tmpl_comment_edit_box = template_extract_block($template_image_comments, 'edit_box_smilies', '{EDIT}');
        template_extract_block($template_image_comments, 'edit_box_no_smilies');
        template_extract_block($template_add_your_comment, 'input_box_no_smilies');
    }

    if (USER_CAN_POST_COMMENTS && $CURRENT_ALBUM_DATA['comments'] == 'YES') {
        if (USER_ID) {
            $user_name_input = '<tr><td><input type="hidden" name="msg_author" value="' . stripslashes(USER_NAME) . '" /></td>';
            template_extract_block($template_add_your_comment, 'user_name_input', $user_name_input);
            $user_name = '';
        } else {
            if (isset($USER['name'])) {
              $user_name = strtr($USER['name'], $HTML_SUBST);
            } else {
              $user_name = $lang_display_comments['your_name'];
            }

        }

        $params = array('{ADD_YOUR_COMMENT}' => $lang_display_comments['add_your_comment'],
            // Modified Name and comment field
            '{NAME}' => $lang_display_comments['name'],
            '{COMMENT}' => $lang_display_comments['comment'],
            '{PIC_ID}' => $pid,
            '{USER_NAME}' => $user_name,
            '{MAX_COM_LENGTH}' => $CONFIG['max_com_size'],
            '{OK}' => $lang_display_comments['OK'],
            '{SMILIES}' => '',
            '{WIDTH}' => $CONFIG['picture_table_width'],
            );

        if ($CONFIG['enable_smilies']){
                        $params['{SMILIES}'] = generate_smilies();
                } else {
                        template_extract_block($template_add_your_comment, 'smilies');
                }

        $html .= template_eval($template_add_your_comment, $params);
    }
    
    $tmpl_comments_buttons = template_extract_block($template_image_comments, 'buttons', '{BUTTONS}');
    $tmpl_comments_ipinfo = template_extract_block($template_image_comments, 'ipinfo', '{IPINFO}');

    if ($CONFIG['comments_sort_descending'] == 1) {
        $comment_sort_order = 'DESC';
    } else {
        $comment_sort_order = 'ASC';
    }
    $result = cpg_db_query("SELECT msg_id, msg_author, msg_body, UNIX_TIMESTAMP(msg_date) AS msg_date, author_id, author_md5_id, msg_raw_ip, msg_hdr_ip, pid FROM {$CONFIG['TABLE_COMMENTS']} WHERE pid='$pid' ORDER BY msg_id $comment_sort_order");

    while ($row = mysql_fetch_array($result)) {
        $user_can_edit = (GALLERY_ADMIN_MODE) || (USER_ID && USER_ID == $row['author_id'] && USER_CAN_POST_COMMENTS) || (!USER_ID && USER_CAN_POST_COMMENTS && ($USER['ID'] == $row['author_md5_id']));
        $comment_buttons = $user_can_edit ? $tmpl_comments_buttons : '';
        $comment_edit_box = $user_can_edit ? $tmpl_comment_edit_box : '';
        $comment_ipinfo = ($row['msg_raw_ip'] && GALLERY_ADMIN_MODE)?$tmpl_comments_ipinfo : '';

        if ($CONFIG['enable_smilies']) {
            $comment_body = process_smilies(make_clickable($row['msg_body']));
            $smilies = generate_smilies("f{$row['msg_id']}", 'msg_body');
        } else {
            $comment_body = make_clickable($row['msg_body']);
            $smilies = '';
        }

        $ip = $row['msg_hdr_ip'];
        if ($row['msg_hdr_ip'] != $row['msg_raw_ip']) {
            $ip .= ' [' . $row['msg_raw_ip'] . ']';
        }

        $params = array('{EDIT}' => &$comment_edit_box,
            '{BUTTONS}' => &$comment_buttons,
            '{IPINFO}' => &$comment_ipinfo
            );

        $template = template_eval($template_image_comments, $params);

        $params = array('{MSG_AUTHOR}' => stripslashes($row['msg_author']),
            '{MSG_ID}' => $row['msg_id'],
            '{PID}' => $row['pid'],
            '{EDIT_TITLE}' => &$lang_display_comments['edit_title'],
            '{CONFIRM_DELETE}' => &$lang_display_comments['confirm_delete'],
            '{MSG_DATE}' => localised_date($row['msg_date'], $comment_date_fmt),
            '{MSG_BODY}' => bb_decode($comment_body),
            '{MSG_BODY_RAW}' => $row['msg_body'],
            '{OK}' => &$lang_display_comments['OK'],
            '{SMILIES}' => $smilies,
            '{IP}' => $ip,
            '{REPORT_COMMENT_TITLE}' => &$lang_display_comments['report_comment_title'],
            '{WIDTH}' => $CONFIG['picture_table_width']
            );

        $html .= template_eval($template, $params);
    }

    return $html;
}
?>